#include <bits/stdc++.h>
using namespace std;
int a[100000000];
int main()
{
    ifstream f1("TANSUAT.INP");
    int d=1,n,i;
    f1>>n;
    bool kt=false;
    for(i=0;i<n;i++)
    {
        f1>>a[i];
    }
    f1.close();
    ofstream f2("TANSUAT.OUT");
    a[n]=-1;
    sort(a,a+n);
    for(i=0;i<n;i++)
    {
        if(a[i]==a[i+1])d++;
        else
        {
           if(d>1)f2<<a[i]<<" "<<d<<endl;
           d=1;
           kt=true;
        }
    }
    if(kt==false)f2<<0;
    f2.close();
    return 0;
}

